@font-face {
    font-family: "lithos-pro";
    src: url("https://use.typekit.net/af/cad514/000000000000000000012e1f/27/l?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n9&v=3") format("woff2"), url("https://use.typekit.net/af/cad514/000000000000000000012e1f/27/d?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n9&v=3") format("woff"), url("https://use.typekit.net/af/cad514/000000000000000000012e1f/27/a?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n9&v=3") format("opentype");
    font-display: swap;
    font-style: normal;
    font-weight: 900;
    font-stretch: normal;
}

@font-face {
    font-family: "merriweather";
    src: url("https://use.typekit.net/af/8f99bc/00000000000000007735a0ea/31/l?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("woff2"), url("https://use.typekit.net/af/8f99bc/00000000000000007735a0ea/31/d?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("woff"), url("https://use.typekit.net/af/8f99bc/00000000000000007735a0ea/31/a?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3") format("opentype");
    font-display: auto;
    font-style: normal;
    font-weight: 400;
    font-stretch: normal;
}

@font-face {
    font-family: "merriweather";
    src: url("https://use.typekit.net/af/9fb4bf/00000000000000007735a0ef/31/l?subset_id=2&fvd=n3&v=3") format("woff2"), url("https://use.typekit.net/af/9fb4bf/00000000000000007735a0ef/31/d?subset_id=2&fvd=n3&v=3") format("woff"), url("https://use.typekit.net/af/9fb4bf/00000000000000007735a0ef/31/a?subset_id=2&fvd=n3&v=3") format("opentype");
    font-display: auto;
    font-style: normal;
    font-weight: 300;
    font-stretch: normal;
}

:root {
    --sisutaust: #f7f7f2;
    --punane: #9b3318;
    --oranž: #c44424;
    --helehall: #d9d9d9;
    --kollakasroheline: #a2a629;
    --heleroheline: #afbe8e /* #899c5c */;
    --tumeroheline: #202617;
    --teksti-vari: 0 1px 2px #000;
    --serv: clamp(0.85rem, 3.2cqw, 1.8rem);

}

*, *::before, *::after {
    box-sizing: border-box;
}

html {
    min-height: 100svh;
    scroll-behavior: smooth;
    text-rendering: optimizeSpeed;
    scrollbar-width: thin;
    scrollbar-color: var(--oranž) #53623c;
    transition: 2s ease-out;
}


body {
    margin-block: 0;
    margin-inline: auto;
    min-height: 100svh;
    max-width: 1400px;
    font-family: "merriweather", serif;
    font-weight: 300;
    font-style: normal;
    line-height: 1.8;
    font-size: 1rem;
}

img, picture, video, canvas, svg {
    display: block;
    max-width: 100%;
}

input, button, textarea, select {
    font: inherit;
}

a {
    text-decoration: none;
    font-weight: 400;
}

    a, a:visited {
        color: #333;
    }

header a, header a:visited, header a:hover {
    color: var(--sisutaust);
}


        header {
            background: url(pildid/trommi-uus-saun-1.webp), linear-gradient(to right, #004eb6, #0060ca);
            background-size: 100%;
            background-repeat: no-repeat;
            background-position: bottom 72px right;
            display: grid;
            height: 100svh;
            align-content: space-between;
            grid-template-rows: 1fr 1fr auto;
            z-index: 99;
            position: relative;
        }

    .päis {
    line-height: 1.1;
    display: grid;
    font-family: lithos-pro;
    justify-content: center;
    align-content: center;
    justify-items: center;
    font-size: clamp(2rem, 3vw, 43px);
    text-align: center;
    max-width: 400px;
    justify-self: center;
    text-shadow: var(--teksti-vari)
}

    .logo-svg {
        width: 270px;
        height: auto;
    }

.logo-svg {
    filter: drop-shadow(0 0 2px #64798f);
}


.sauna-banner {
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 0.185em;
    display: grid;
    line-height: 1;
    font-family: lithos-pro;
    align-content: start;
    text-shadow: var(--teksti-vari);
}

    .sauna-banner span {
        color: var(--sisutaust);
        font-size: max(min(3vw, 6vh), 1.4rem);
    }

        .sauna-banner span:nth-of-type(2) {
            font-size: 400%;
            color: var(--oranž);
        }

        .sauna-banner span:nth-of-type(3) {
            font-size: 1rem;
        }


        nav {
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 1px;
            background: #333;
        }
    
        nav a {
            padding: 1.6vh;
            font-weight: 300;
            background: var(--oranž);
            text-shadow: var(--teksti-vari);
        }
    
        nav a:hover,
        nav a:active {
            color: #F7F7F2;
            background: #202617;
            transition: 0.5s ease-out;
        }

article {
    container-type: inline-size;
}

h1, h2, h3, h4, h5, h6 {
    line-height: 1.2;
    font-weight: 300;
    padding-inline: var(--serv);
}

h1 {
	font-size: min(6cqw, 1.9rem);
	padding-block-start: 10cqw;
}

h2 {
	padding-block-start: min(6cqw, 1.8rem);
}

p {
    padding-inline: var(--serv);
    margin-block: 1.6vh;
        font-size: min(3.8cqw, 1rem);
    line-height: min(6.5cqw, 1.8rem);
}
.tekst-paremal {
    max-width: 50%;
    padding-inline-end: var(--serv);
}

p:has(.tekst-paremal) {
    display: flex;
    align-items: center;
}
[alt~=Saunatee] {
    width: 100%;
}

a:has([alt~=Saunatee]) {
    width: 100%;
    display: block;
    background: #a3160f;
    padding-inline: 30%;
    padding-block: 10%;
    box-sizing: border-box;
}

strong {
	color: var(--punane);
}

figure {
	margin-block: 8cqw;
	margin-inline: 0;
}

figcaption {
  text-transform: uppercase;
  padding-inline: var(--serv);
  color: var(--punane);
}

table, .koordinaadid, iframe, .kaugused {
	background: rgba(162, 166, 41, 0.08);
	width: 100%;
    text-align: center;
}

th {
	font-weight: 300;
    border-bottom: rgba(162, 166, 41, 0.18) 2px solid;
}
td {
    text-align: center;
    padding-block: .6rem;
}

td, .koordinaadid {
    border-bottom: rgba(162, 166, 41, 0.18) 1px solid;
}

.kaugused > div {
	display: grid;
	grid-template-columns: 1fr 1fr;
	border-bottom: rgba(162, 166, 41, 0.18) 1px solid;
	padding-block: .6rem;
	gap: 3rem;
}

.kaugused > div:first-child {
    border-top: rgba(162, 166, 41, 0.18) 1px solid;
}

.kaugused dt,
.kaugused dd {
    margin: 0;
}

.kaugused dt {
	text-align: right;
	padding-inline-start: 1rem;
}

.kaugused dd {
	text-align: left;
	padding-inline-end: 10vw;
}
iframe {
	border: none;
	margin: 2.2vh 0;
	width: 100%;
	aspect-ratio: 1;
	filter: saturate(60%) contrast(110%);
}

address {
    padding: var(--serv);
    text-align: center;
    font-style: normal;
    background: var(--heleroheline);
    color: #000;
}
address + img {
	margin-block-start: 1.6vh;
}

.facebook {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 32px 0;

    & img {
        width: 48px;
        height: auto;
        margin-inline-end: 8px;
    }
}

footer {
margin-block: 1.6vh;
}

#uudised address {
    display: none;
}

#logod {
	margin-block-start: 1rem;
	display: grid;
	gap: 2rem;
	grid-template-columns: repeat(auto-fit, 300px);
	place-items: center;
	justify-content: center;

   & a img, & a svg {
    width: 110px;
}
}




[title~=Loodusturism] {
    width: 170px;
}

#algus, #saunamaja, #siia {
    scroll-behavior: smooth;
    scroll-margin-block-start: 55vh;
}

/* tagasi */

.tagasi {
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    background: transparent;
    display: grid;
    gap: 1rem;
}

    .tagasi a {
        display: flex;
        font-size: 2rem;
        justify-content: center;
        align-items: center;
        border-radius: 50%;
        height: 48px;
        width: 48px;
        background: var(--oranž) no-repeat center;
        box-shadow: 0 0 1px var(--tumeroheline);
    }

        .tagasi a:hover {
            box-shadow: 0 0 2px #000;
        }

    .tagasi span {
        display: flex;
        justify-content: center;
        text-transform: uppercase;
        background: #d9d9d9;
        border-radius: .3rem;
        margin-block-start: .3rem;
        color: var(--heleroheline);
        font-size: 12px;
    }

.algusse a {
    background-image: url(logod/nool-algusse.svg)
}


@media (width > 800px) {

    html {
        background-color: #53623C;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='397' height='47.6' viewBox='0 0 1000 120'%3E%3Cg fill='none' stroke='%23E0E0E0' stroke-width='0.2' stroke-opacity='0.77'%3E%3Cpath d='M-500 75c0 0 125-30 250-30S0 75 0 75s125 30 250 30s250-30 250-30s125-30 250-30s250 30 250 30s125 30 250 30s250-30 250-30'/%3E%3Cpath d='M-500 45c0 0 125-30 250-30S0 45 0 45s125 30 250 30s250-30 250-30s125-30 250-30s250 30 250 30s125 30 250 30s250-30 250-30'/%3E%3Cpath d='M-500 105c0 0 125-30 250-30S0 105 0 105s125 30 250 30s250-30 250-30s125-30 250-30s250 30 250 30s125 30 250 30s250-30 250-30'/%3E%3Cpath d='M-500 15c0 0 125-30 250-30S0 15 0 15s125 30 250 30s250-30 250-30s125-30 250-30s250 30 250 30s125 30 250 30s250-30 250-30'/%3E%3Cpath d='M-500-15c0 0 125-30 250-30S0-15 0-15s125 30 250 30s250-30 250-30s125-30 250-30s250 30 250 30s125 30 250 30s250-30 250-30'/%3E%3Cpath d='M-500 135c0 0 125-30 250-30S0 135 0 135s125 30 250 30s250-30 250-30s125-30 250-30s250 30 250 30s125 30 250 30s250-30 250-30'/%3E%3C/g%3E%3C/svg%3E");
    }

    body {
        display: grid;
        grid-template: 'header header' 'uudised sisu' 'footer sisu' / 33% auto;
        gap: var(--serv);
        
    }

header {
    display: grid;
    height: 100svh;
    background: url(pildid/trommi-uus-saun-2-lai.webp) right bottom / cover no-repeat;
    align-content: space-between;
    grid-template-rows: 1fr 1fr auto;
    z-index: 99;
    position: relative;
    grid-area: header;
}

#tere {
    background: var(--sisutaust);
    grid-area: sisu;
}

#uudised {
    background: var(--sisutaust);
    grid-area: uudised;}


footer {
    background: var(--sisutaust);
    grid-area: footer;}


}

@media (width > 1200px) {

    body {
        grid-template: 'header header header' 'uudised sisu footer' / 400px auto 330px;

        padding-block-end: 100px;
        
    }
    footer {
        margin-block: 0;
}
#uudised address {
    display: block;
}

}